Kwalitee Issues

No Core Issues.

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.4205,0.87,1.41

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Module::Build, Module::Build::Compat, Module::Build::Config, Module::Build::Cookbook, Module::Build::Dumper, Module::Build::ModuleInfo, Module::Build::Notes, Module::Build::PPMMaker, Module::Build::Platform::Default, Module::Build::Platform::MacOS, Module::Build::Platform::Unix, Module::Build::Platform::VMS, Module::Build::Platform::VOS, Module::Build::Platform::Windows, Module::Build::Platform::aix, Module::Build::Platform::cygwin, Module::Build::Platform::darwin, Module::Build::Platform::os2, Module::Build::PodParser, Module::Build::Version, Module::Build::YAML, inc::latest, inc::latest::private

Modules

Name Abstract Version View
Module::Build Build and install Perl modules 0.4205 metacpan
Module::Build::Base Default methods for Module::Build 0.4205 metacpan
Module::Build::Compat Compatibility with ExtUtils::MakeMaker 0.4205 metacpan
Module::Build::Config 0.4205 metacpan
Module::Build::Cookbook Examples of Module::Build Usage 0.4205 metacpan
Module::Build::Dumper 0.4205 metacpan
Module::Build::ModuleInfo DEPRECATED 0.4205 metacpan
Module::Build::Notes Create persistent distribution configuration modules 0.4205 metacpan
Module::Build::PPMMaker Perl Package Manager file creation 0.4205 metacpan
Module::Build::Platform::Default Stub class for unknown platforms 0.4205 metacpan
Module::Build::Platform::MacOS Builder class for MacOS platforms 0.4205 metacpan
Module::Build::Platform::Unix Builder class for Unix platforms 0.4205 metacpan
Module::Build::Platform::VMS Builder class for VMS platforms 0.4205 metacpan
Module::Build::Platform::VOS Builder class for VOS platforms 0.4205 metacpan
Module::Build::Platform::Windows Builder class for Windows platforms 0.4205 metacpan
Module::Build::Platform::aix Builder class for AIX platform 0.4205 metacpan
Module::Build::Platform::cygwin Builder class for Cygwin platform 0.4205 metacpan
Module::Build::Platform::darwin Builder class for Mac OS X platform 0.4205 metacpan
Module::Build::Platform::os2 Builder class for OS/2 platform 0.4205 metacpan
Module::Build::PodParser 0.4205 metacpan
Module::Build::Version DEPRECATED 0.87 metacpan
Module::Build::YAML DEPRECATED 1.41 metacpan
inc::latest use modules bundled in inc/ if they are newer than installed ones 0.4205 metacpan
inc::latest::private 0.4205 metacpan

Other Files

Build.PL metacpan
Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan